kernel-2.6.26.3-14無法使用BestCrypt

前幾天將我的FC8 kernel更新到kernel-2.6.26.3-14.fc8之後,發現有兩個使用上的問題,一個是VirtualBox1.5和1.6都無法正常啟動了,不過在將VirtualBox更新到VirtualBox-2.0.2_36488_fedora8-1.i386就可以正常使用了。另一個問題發生在BestCrypt-1.6-17上,似乎是kernel-2.6.26.3-14.fc8並沒有支援BestCrypt所要使用的密碼編碼,以致於無法啟動。還好舊版本的kernel-2.6.25.14-69.fc8還保留著,在GRUB開機選單中選擇以kernel-2.6.25.14-69來開機,BestCrypt仍是可以正常運作的。還請有在使用BestCrypt的朋友在便新kernel時注意一下這個問題。若發現其他kernel版本也有類似的問題,也請留個言分享一下資訊,讓其他朋友在更新時可以避開不支援的kernel版本。謝謝大家。

錯誤訊息類似以下訊息
Unknown symbol register_bc_algo
Unknown symbol init_pid_ns


沒有留言:

張貼留言

在 Fedora 31 下讓 Python 多版本共存的方法

在 Fedora 31 下每個版本的 Python 有各自獨立的套件名稱,可以簡單的直接透過套件管理工具 dnf 來簡易安裝各版本的 Python。 安裝 Python 3.7 可用以下指令 $ sudo dnf install  python-unversione...